import * as flatbuffers from 'flatbuffers';
import { KeyOptions } from '../model/key-options';
export declare class DecryptSymmetricBytesRequest {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): DecryptSymmetricBytesRequest;
    static getRootAsDecryptSymmetricBytesRequest(bb: flatbuffers.ByteBuffer, obj?: DecryptSymmetricBytesRequest): DecryptSymmetricBytesRequest;
    static getSizePrefixedRootAsDecryptSymmetricBytesRequest(bb: flatbuffers.ByteBuffer, obj?: DecryptSymmetricBytesRequest): DecryptSymmetricBytesRequest;
    message(index: number): number | null;
    messageLength(): number;
    messageArray(): Uint8Array | null;
    passphrase(): string | null;
    passphrase(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    options(obj?: KeyOptions): KeyOptions | null;
    static startDecryptSymmetricBytesRequest(builder: flatbuffers.Builder): void;
    static addMessage(builder: flatbuffers.Builder, messageOffset: flatbuffers.Offset): void;
    static createMessageVector(builder: flatbuffers.Builder, data: number[] | Uint8Array): flatbuffers.Offset;
    static startMessageVector(builder: flatbuffers.Builder, numElems: number): void;
    static addPassphrase(builder: flatbuffers.Builder, passphraseOffset: flatbuffers.Offset): void;
    static addOptions(builder: flatbuffers.Builder, optionsOffset: flatbuffers.Offset): void;
    static endDecryptSymmetricBytesRequest(builder: flatbuffers.Builder): flatbuffers.Offset;
}
