import * as flatbuffers from 'flatbuffers';
import { KeyOptions } from '../model/key-options';
export declare class DecryptSymmetricFileRequest {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): DecryptSymmetricFileRequest;
    static getRootAsDecryptSymmetricFileRequest(bb: flatbuffers.ByteBuffer, obj?: DecryptSymmetricFileRequest): DecryptSymmetricFileRequest;
    static getSizePrefixedRootAsDecryptSymmetricFileRequest(bb: flatbuffers.ByteBuffer, obj?: DecryptSymmetricFileRequest): DecryptSymmetricFileRequest;
    input(): string | null;
    input(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    output(): string | null;
    output(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    passphrase(): string | null;
    passphrase(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    options(obj?: KeyOptions): KeyOptions | null;
    static startDecryptSymmetricFileRequest(builder: flatbuffers.Builder): void;
    static addInput(builder: flatbuffers.Builder, inputOffset: flatbuffers.Offset): void;
    static addOutput(builder: flatbuffers.Builder, outputOffset: flatbuffers.Offset): void;
    static addPassphrase(builder: flatbuffers.Builder, passphraseOffset: flatbuffers.Offset): void;
    static addOptions(builder: flatbuffers.Builder, optionsOffset: flatbuffers.Offset): void;
    static endDecryptSymmetricFileRequest(builder: flatbuffers.Builder): flatbuffers.Offset;
}
