import * as flatbuffers from 'flatbuffers';
import { KeyOptions } from '../model/key-options';
export declare class DecryptSymmetricRequest {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): DecryptSymmetricRequest;
    static getRootAsDecryptSymmetricRequest(bb: flatbuffers.ByteBuffer, obj?: DecryptSymmetricRequest): DecryptSymmetricRequest;
    static getSizePrefixedRootAsDecryptSymmetricRequest(bb: flatbuffers.ByteBuffer, obj?: DecryptSymmetricRequest): DecryptSymmetricRequest;
    message(): string | null;
    message(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    passphrase(): string | null;
    passphrase(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    options(obj?: KeyOptions): KeyOptions | null;
    static startDecryptSymmetricRequest(builder: flatbuffers.Builder): void;
    static addMessage(builder: flatbuffers.Builder, messageOffset: flatbuffers.Offset): void;
    static addPassphrase(builder: flatbuffers.Builder, passphraseOffset: flatbuffers.Offset): void;
    static addOptions(builder: flatbuffers.Builder, optionsOffset: flatbuffers.Offset): void;
    static endDecryptSymmetricRequest(builder: flatbuffers.Builder): flatbuffers.Offset;
}
