import * as flatbuffers from 'flatbuffers';
import { Entity } from '../model/entity';
import { FileHints } from '../model/file-hints';
import { KeyOptions } from '../model/key-options';
export declare class EncryptFileRequest {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): EncryptFileRequest;
    static getRootAsEncryptFileRequest(bb: flatbuffers.ByteBuffer, obj?: EncryptFileRequest): EncryptFileRequest;
    static getSizePrefixedRootAsEncryptFileRequest(bb: flatbuffers.ByteBuffer, obj?: EncryptFileRequest): EncryptFileRequest;
    input(): string | null;
    input(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    output(): string | null;
    output(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    publicKey(): string | null;
    publicKey(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    options(obj?: KeyOptions): KeyOptions | null;
    signed(obj?: Entity): Entity | null;
    fileHints(obj?: FileHints): FileHints | null;
    static startEncryptFileRequest(builder: flatbuffers.Builder): void;
    static addInput(builder: flatbuffers.Builder, inputOffset: flatbuffers.Offset): void;
    static addOutput(builder: flatbuffers.Builder, outputOffset: flatbuffers.Offset): void;
    static addPublicKey(builder: flatbuffers.Builder, publicKeyOffset: flatbuffers.Offset): void;
    static addOptions(builder: flatbuffers.Builder, optionsOffset: flatbuffers.Offset): void;
    static addSigned(builder: flatbuffers.Builder, signedOffset: flatbuffers.Offset): void;
    static addFileHints(builder: flatbuffers.Builder, fileHintsOffset: flatbuffers.Offset): void;
    static endEncryptFileRequest(builder: flatbuffers.Builder): flatbuffers.Offset;
}
