import * as flatbuffers from 'flatbuffers';
import { Entity } from '../model/entity';
import { FileHints } from '../model/file-hints';
import { KeyOptions } from '../model/key-options';
export declare class EncryptRequest {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): EncryptRequest;
    static getRootAsEncryptRequest(bb: flatbuffers.ByteBuffer, obj?: EncryptRequest): EncryptRequest;
    static getSizePrefixedRootAsEncryptRequest(bb: flatbuffers.ByteBuffer, obj?: EncryptRequest): EncryptRequest;
    message(): string | null;
    message(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    publicKey(): string | null;
    publicKey(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    options(obj?: KeyOptions): KeyOptions | null;
    signed(obj?: Entity): Entity | null;
    fileHints(obj?: FileHints): FileHints | null;
    static startEncryptRequest(builder: flatbuffers.Builder): void;
    static addMessage(builder: flatbuffers.Builder, messageOffset: flatbuffers.Offset): void;
    static addPublicKey(builder: flatbuffers.Builder, publicKeyOffset: flatbuffers.Offset): void;
    static addOptions(builder: flatbuffers.Builder, optionsOffset: flatbuffers.Offset): void;
    static addSigned(builder: flatbuffers.Builder, signedOffset: flatbuffers.Offset): void;
    static addFileHints(builder: flatbuffers.Builder, fileHintsOffset: flatbuffers.Offset): void;
    static endEncryptRequest(builder: flatbuffers.Builder): flatbuffers.Offset;
}
