import * as flatbuffers from 'flatbuffers';
import { FileHints } from '../model/file-hints';
import { KeyOptions } from '../model/key-options';
export declare class EncryptSymmetricFileRequest {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): EncryptSymmetricFileRequest;
    static getRootAsEncryptSymmetricFileRequest(bb: flatbuffers.ByteBuffer, obj?: EncryptSymmetricFileRequest): EncryptSymmetricFileRequest;
    static getSizePrefixedRootAsEncryptSymmetricFileRequest(bb: flatbuffers.ByteBuffer, obj?: EncryptSymmetricFileRequest): EncryptSymmetricFileRequest;
    input(): string | null;
    input(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    output(): string | null;
    output(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    passphrase(): string | null;
    passphrase(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    options(obj?: KeyOptions): KeyOptions | null;
    fileHints(obj?: FileHints): FileHints | null;
    static startEncryptSymmetricFileRequest(builder: flatbuffers.Builder): void;
    static addInput(builder: flatbuffers.Builder, inputOffset: flatbuffers.Offset): void;
    static addOutput(builder: flatbuffers.Builder, outputOffset: flatbuffers.Offset): void;
    static addPassphrase(builder: flatbuffers.Builder, passphraseOffset: flatbuffers.Offset): void;
    static addOptions(builder: flatbuffers.Builder, optionsOffset: flatbuffers.Offset): void;
    static addFileHints(builder: flatbuffers.Builder, fileHintsOffset: flatbuffers.Offset): void;
    static endEncryptSymmetricFileRequest(builder: flatbuffers.Builder): flatbuffers.Offset;
}
