import * as flatbuffers from 'flatbuffers';
export declare class Identity {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): Identity;
    static getRootAsIdentity(bb: flatbuffers.ByteBuffer, obj?: Identity): Identity;
    static getSizePrefixedRootAsIdentity(bb: flatbuffers.ByteBuffer, obj?: Identity): Identity;
    id(): string | null;
    id(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    comment(): string | null;
    comment(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    email(): string | null;
    email(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    name(): string | null;
    name(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    static startIdentity(builder: flatbuffers.Builder): void;
    static addId(builder: flatbuffers.Builder, idOffset: flatbuffers.Offset): void;
    static addComment(builder: flatbuffers.Builder, commentOffset: flatbuffers.Offset): void;
    static addEmail(builder: flatbuffers.Builder, emailOffset: flatbuffers.Offset): void;
    static addName(builder: flatbuffers.Builder, nameOffset: flatbuffers.Offset): void;
    static endIdentity(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createIdentity(builder: flatbuffers.Builder, idOffset: flatbuffers.Offset, commentOffset: flatbuffers.Offset, emailOffset: flatbuffers.Offset, nameOffset: flatbuffers.Offset): flatbuffers.Offset;
}
