import * as flatbuffers from 'flatbuffers';
export declare class IntResponse {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): IntResponse;
    static getRootAsIntResponse(bb: flatbuffers.ByteBuffer, obj?: IntResponse): IntResponse;
    static getSizePrefixedRootAsIntResponse(bb: flatbuffers.ByteBuffer, obj?: IntResponse): IntResponse;
    output(): bigint;
    mutate_output(value: bigint): boolean;
    error(): string | null;
    error(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    static startIntResponse(builder: flatbuffers.Builder): void;
    static addOutput(builder: flatbuffers.Builder, output: bigint): void;
    static addError(builder: flatbuffers.Builder, errorOffset: flatbuffers.Offset): void;
    static endIntResponse(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createIntResponse(builder: flatbuffers.Builder, output: bigint, errorOffset: flatbuffers.Offset): flatbuffers.Offset;
}
