import * as flatbuffers from 'flatbuffers';
import { KeyPair } from '../model/key-pair';
export declare class KeyPairResponse {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): KeyPairResponse;
    static getRootAsKeyPairResponse(bb: flatbuffers.ByteBuffer, obj?: KeyPairResponse): KeyPairResponse;
    static getSizePrefixedRootAsKeyPairResponse(bb: flatbuffers.ByteBuffer, obj?: KeyPairResponse): KeyPairResponse;
    output(obj?: KeyPair): KeyPair | null;
    error(): string | null;
    error(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    static startKeyPairResponse(builder: flatbuffers.Builder): void;
    static addOutput(builder: flatbuffers.Builder, outputOffset: flatbuffers.Offset): void;
    static addError(builder: flatbuffers.Builder, errorOffset: flatbuffers.Offset): void;
    static endKeyPairResponse(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createKeyPairResponse(builder: flatbuffers.Builder, outputOffset: flatbuffers.Offset, errorOffset: flatbuffers.Offset): flatbuffers.Offset;
}
