import * as flatbuffers from 'flatbuffers';
export declare class KeyPair {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): KeyPair;
    static getRootAsKeyPair(bb: flatbuffers.ByteBuffer, obj?: KeyPair): KeyPair;
    static getSizePrefixedRootAsKeyPair(bb: flatbuffers.ByteBuffer, obj?: KeyPair): KeyPair;
    publicKey(): string | null;
    publicKey(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    privateKey(): string | null;
    privateKey(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    static startKeyPair(builder: flatbuffers.Builder): void;
    static addPublicKey(builder: flatbuffers.Builder, publicKeyOffset: flatbuffers.Offset): void;
    static addPrivateKey(builder: flatbuffers.Builder, privateKeyOffset: flatbuffers.Offset): void;
    static endKeyPair(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createKeyPair(builder: flatbuffers.Builder, publicKeyOffset: flatbuffers.Offset, privateKeyOffset: flatbuffers.Offset): flatbuffers.Offset;
}
