import * as flatbuffers from 'flatbuffers';
import { PublicKeyMetadata } from '../model/public-key-metadata';
export declare class PublicKeyMetadataResponse {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): PublicKeyMetadataResponse;
    static getRootAsPublicKeyMetadataResponse(bb: flatbuffers.ByteBuffer, obj?: PublicKeyMetadataResponse): PublicKeyMetadataResponse;
    static getSizePrefixedRootAsPublicKeyMetadataResponse(bb: flatbuffers.ByteBuffer, obj?: PublicKeyMetadataResponse): PublicKeyMetadataResponse;
    output(obj?: PublicKeyMetadata): PublicKeyMetadata | null;
    error(): string | null;
    error(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    static startPublicKeyMetadataResponse(builder: flatbuffers.Builder): void;
    static addOutput(builder: flatbuffers.Builder, outputOffset: flatbuffers.Offset): void;
    static addError(builder: flatbuffers.Builder, errorOffset: flatbuffers.Offset): void;
    static endPublicKeyMetadataResponse(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createPublicKeyMetadataResponse(builder: flatbuffers.Builder, outputOffset: flatbuffers.Offset, errorOffset: flatbuffers.Offset): flatbuffers.Offset;
}
