import * as flatbuffers from 'flatbuffers';
import { KeyOptions } from '../model/key-options';
export declare class SignFileRequest {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): SignFileRequest;
    static getRootAsSignFileRequest(bb: flatbuffers.ByteBuffer, obj?: SignFileRequest): SignFileRequest;
    static getSizePrefixedRootAsSignFileRequest(bb: flatbuffers.ByteBuffer, obj?: SignFileRequest): SignFileRequest;
    input(): string | null;
    input(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    publicKey(): string | null;
    publicKey(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    privateKey(): string | null;
    privateKey(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    passphrase(): string | null;
    passphrase(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    options(obj?: KeyOptions): KeyOptions | null;
    static startSignFileRequest(builder: flatbuffers.Builder): void;
    static addInput(builder: flatbuffers.Builder, inputOffset: flatbuffers.Offset): void;
    static addPublicKey(builder: flatbuffers.Builder, publicKeyOffset: flatbuffers.Offset): void;
    static addPrivateKey(builder: flatbuffers.Builder, privateKeyOffset: flatbuffers.Offset): void;
    static addPassphrase(builder: flatbuffers.Builder, passphraseOffset: flatbuffers.Offset): void;
    static addOptions(builder: flatbuffers.Builder, optionsOffset: flatbuffers.Offset): void;
    static endSignFileRequest(builder: flatbuffers.Builder): flatbuffers.Offset;
}
