import * as flatbuffers from 'flatbuffers';
export declare class StringResponse {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): StringResponse;
    static getRootAsStringResponse(bb: flatbuffers.ByteBuffer, obj?: StringResponse): StringResponse;
    static getSizePrefixedRootAsStringResponse(bb: flatbuffers.ByteBuffer, obj?: StringResponse): StringResponse;
    output(): string | null;
    output(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    error(): string | null;
    error(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    static startStringResponse(builder: flatbuffers.Builder): void;
    static addOutput(builder: flatbuffers.Builder, outputOffset: flatbuffers.Offset): void;
    static addError(builder: flatbuffers.Builder, errorOffset: flatbuffers.Offset): void;
    static endStringResponse(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createStringResponse(builder: flatbuffers.Builder, outputOffset: flatbuffers.Offset, errorOffset: flatbuffers.Offset): flatbuffers.Offset;
}
