import * as flatbuffers from 'flatbuffers';
export declare class VerifyBytesRequest {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): VerifyBytesRequest;
    static getRootAsVerifyBytesRequest(bb: flatbuffers.ByteBuffer, obj?: VerifyBytesRequest): VerifyBytesRequest;
    static getSizePrefixedRootAsVerifyBytesRequest(bb: flatbuffers.ByteBuffer, obj?: VerifyBytesRequest): VerifyBytesRequest;
    signature(): string | null;
    signature(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    message(index: number): number | null;
    messageLength(): number;
    messageArray(): Uint8Array | null;
    publicKey(): string | null;
    publicKey(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    static startVerifyBytesRequest(builder: flatbuffers.Builder): void;
    static addSignature(builder: flatbuffers.Builder, signatureOffset: flatbuffers.Offset): void;
    static addMessage(builder: flatbuffers.Builder, messageOffset: flatbuffers.Offset): void;
    static createMessageVector(builder: flatbuffers.Builder, data: number[] | Uint8Array): flatbuffers.Offset;
    static startMessageVector(builder: flatbuffers.Builder, numElems: number): void;
    static addPublicKey(builder: flatbuffers.Builder, publicKeyOffset: flatbuffers.Offset): void;
    static endVerifyBytesRequest(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createVerifyBytesRequest(builder: flatbuffers.Builder, signatureOffset: flatbuffers.Offset, messageOffset: flatbuffers.Offset, publicKeyOffset: flatbuffers.Offset): flatbuffers.Offset;
}
