import * as flatbuffers from 'flatbuffers';
export declare class VerifyFileRequest {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): VerifyFileRequest;
    static getRootAsVerifyFileRequest(bb: flatbuffers.ByteBuffer, obj?: VerifyFileRequest): VerifyFileRequest;
    static getSizePrefixedRootAsVerifyFileRequest(bb: flatbuffers.ByteBuffer, obj?: VerifyFileRequest): VerifyFileRequest;
    signature(): string | null;
    signature(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    input(): string | null;
    input(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    publicKey(): string | null;
    publicKey(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    static startVerifyFileRequest(builder: flatbuffers.Builder): void;
    static addSignature(builder: flatbuffers.Builder, signatureOffset: flatbuffers.Offset): void;
    static addInput(builder: flatbuffers.Builder, inputOffset: flatbuffers.Offset): void;
    static addPublicKey(builder: flatbuffers.Builder, publicKeyOffset: flatbuffers.Offset): void;
    static endVerifyFileRequest(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createVerifyFileRequest(builder: flatbuffers.Builder, signatureOffset: flatbuffers.Offset, inputOffset: flatbuffers.Offset, publicKeyOffset: flatbuffers.Offset): flatbuffers.Offset;
}
