"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BytesResponse = void 0;

var flatbuffers = _interopRequireWildcard(require("flatbuffers"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class BytesResponse {
  constructor() {
    _defineProperty(this, "bb", null);

    _defineProperty(this, "bb_pos", 0);
  }

  __init(i, bb) {
    this.bb_pos = i;
    this.bb = bb;
    return this;
  }

  static getRootAsBytesResponse(bb, obj) {
    return (obj || new BytesResponse()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }

  static getSizePrefixedRootAsBytesResponse(bb, obj) {
    bb.setPosition(bb.position() + flatbuffers.SIZE_PREFIX_LENGTH);
    return (obj || new BytesResponse()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }

  output(index) {
    const offset = this.bb.__offset(this.bb_pos, 4);

    return offset ? this.bb.readUint8(this.bb.__vector(this.bb_pos + offset) + index) : 0;
  }

  outputLength() {
    const offset = this.bb.__offset(this.bb_pos, 4);

    return offset ? this.bb.__vector_len(this.bb_pos + offset) : 0;
  }

  outputArray() {
    const offset = this.bb.__offset(this.bb_pos, 4);

    return offset ? new Uint8Array(this.bb.bytes().buffer, this.bb.bytes().byteOffset + this.bb.__vector(this.bb_pos + offset), this.bb.__vector_len(this.bb_pos + offset)) : null;
  }

  error(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 6);

    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }

  static startBytesResponse(builder) {
    builder.startObject(2);
  }

  static addOutput(builder, outputOffset) {
    builder.addFieldOffset(0, outputOffset, 0);
  }

  static createOutputVector(builder, data) {
    builder.startVector(1, data.length, 1);

    for (let i = data.length - 1; i >= 0; i--) {
      builder.addInt8(data[i]);
    }

    return builder.endVector();
  }

  static startOutputVector(builder, numElems) {
    builder.startVector(1, numElems, 1);
  }

  static addError(builder, errorOffset) {
    builder.addFieldOffset(1, errorOffset, 0);
  }

  static endBytesResponse(builder) {
    const offset = builder.endObject();
    return offset;
  }

  static createBytesResponse(builder, outputOffset, errorOffset) {
    BytesResponse.startBytesResponse(builder);
    BytesResponse.addOutput(builder, outputOffset);
    BytesResponse.addError(builder, errorOffset);
    return BytesResponse.endBytesResponse(builder);
  }

}

exports.BytesResponse = BytesResponse;
//# sourceMappingURL=bytes-response.js.map