"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ConvertPrivateKeyToPublicKeyRequest = void 0;

var flatbuffers = _interopRequireWildcard(require("flatbuffers"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class ConvertPrivateKeyToPublicKeyRequest {
  constructor() {
    _defineProperty(this, "bb", null);

    _defineProperty(this, "bb_pos", 0);
  }

  __init(i, bb) {
    this.bb_pos = i;
    this.bb = bb;
    return this;
  }

  static getRootAsConvertPrivateKeyToPublicKeyRequest(bb, obj) {
    return (obj || new ConvertPrivateKeyToPublicKeyRequest()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }

  static getSizePrefixedRootAsConvertPrivateKeyToPublicKeyRequest(bb, obj) {
    bb.setPosition(bb.position() + flatbuffers.SIZE_PREFIX_LENGTH);
    return (obj || new ConvertPrivateKeyToPublicKeyRequest()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }

  privateKey(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 4);

    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }

  static startConvertPrivateKeyToPublicKeyRequest(builder) {
    builder.startObject(1);
  }

  static addPrivateKey(builder, privateKeyOffset) {
    builder.addFieldOffset(0, privateKeyOffset, 0);
  }

  static endConvertPrivateKeyToPublicKeyRequest(builder) {
    const offset = builder.endObject();
    return offset;
  }

  static createConvertPrivateKeyToPublicKeyRequest(builder, privateKeyOffset) {
    ConvertPrivateKeyToPublicKeyRequest.startConvertPrivateKeyToPublicKeyRequest(builder);
    ConvertPrivateKeyToPublicKeyRequest.addPrivateKey(builder, privateKeyOffset);
    return ConvertPrivateKeyToPublicKeyRequest.endConvertPrivateKeyToPublicKeyRequest(builder);
  }

}

exports.ConvertPrivateKeyToPublicKeyRequest = ConvertPrivateKeyToPublicKeyRequest;
//# sourceMappingURL=convert-private-key-to-public-key-request.js.map