"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.KeyPairResponse = void 0;

var flatbuffers = _interopRequireWildcard(require("flatbuffers"));

var _keyPair = require("../model/key-pair");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class KeyPairResponse {
  constructor() {
    _defineProperty(this, "bb", null);

    _defineProperty(this, "bb_pos", 0);
  }

  __init(i, bb) {
    this.bb_pos = i;
    this.bb = bb;
    return this;
  }

  static getRootAsKeyPairResponse(bb, obj) {
    return (obj || new KeyPairResponse()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }

  static getSizePrefixedRootAsKeyPairResponse(bb, obj) {
    bb.setPosition(bb.position() + flatbuffers.SIZE_PREFIX_LENGTH);
    return (obj || new KeyPairResponse()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }

  output(obj) {
    const offset = this.bb.__offset(this.bb_pos, 4);

    return offset ? (obj || new _keyPair.KeyPair()).__init(this.bb.__indirect(this.bb_pos + offset), this.bb) : null;
  }

  error(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 6);

    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }

  static startKeyPairResponse(builder) {
    builder.startObject(2);
  }

  static addOutput(builder, outputOffset) {
    builder.addFieldOffset(0, outputOffset, 0);
  }

  static addError(builder, errorOffset) {
    builder.addFieldOffset(1, errorOffset, 0);
  }

  static endKeyPairResponse(builder) {
    const offset = builder.endObject();
    return offset;
  }

  static createKeyPairResponse(builder, outputOffset, errorOffset) {
    KeyPairResponse.startKeyPairResponse(builder);
    KeyPairResponse.addOutput(builder, outputOffset);
    KeyPairResponse.addError(builder, errorOffset);
    return KeyPairResponse.endKeyPairResponse(builder);
  }

}

exports.KeyPairResponse = KeyPairResponse;
//# sourceMappingURL=key-pair-response.js.map