import * as flatbuffers from 'flatbuffers';
export declare class ArmorEncodeRequest {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): ArmorEncodeRequest;
    static getRootAsArmorEncodeRequest(bb: flatbuffers.ByteBuffer, obj?: ArmorEncodeRequest): ArmorEncodeRequest;
    static getSizePrefixedRootAsArmorEncodeRequest(bb: flatbuffers.ByteBuffer, obj?: ArmorEncodeRequest): ArmorEncodeRequest;
    packet(index: number): number | null;
    packetLength(): number;
    packetArray(): Uint8Array | null;
    static startArmorEncodeRequest(builder: flatbuffers.Builder): void;
    static addPacket(builder: flatbuffers.Builder, packetOffset: flatbuffers.Offset): void;
    static createPacketVector(builder: flatbuffers.Builder, data: number[] | Uint8Array): flatbuffers.Offset;
    static startPacketVector(builder: flatbuffers.Builder, numElems: number): void;
    static endArmorEncodeRequest(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createArmorEncodeRequest(builder: flatbuffers.Builder, packetOffset: flatbuffers.Offset): flatbuffers.Offset;
}
