import * as flatbuffers from 'flatbuffers';
export declare class BytesResponse {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): BytesResponse;
    static getRootAsBytesResponse(bb: flatbuffers.ByteBuffer, obj?: BytesResponse): BytesResponse;
    static getSizePrefixedRootAsBytesResponse(bb: flatbuffers.ByteBuffer, obj?: BytesResponse): BytesResponse;
    output(index: number): number | null;
    outputLength(): number;
    outputArray(): Uint8Array | null;
    error(): string | null;
    error(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    static startBytesResponse(builder: flatbuffers.Builder): void;
    static addOutput(builder: flatbuffers.Builder, outputOffset: flatbuffers.Offset): void;
    static createOutputVector(builder: flatbuffers.Builder, data: number[] | Uint8Array): flatbuffers.Offset;
    static startOutputVector(builder: flatbuffers.Builder, numElems: number): void;
    static addError(builder: flatbuffers.Builder, errorOffset: flatbuffers.Offset): void;
    static endBytesResponse(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createBytesResponse(builder: flatbuffers.Builder, outputOffset: flatbuffers.Offset, errorOffset: flatbuffers.Offset): flatbuffers.Offset;
}
