import * as flatbuffers from 'flatbuffers';
import { KeyOptions } from '../model/key-options';
export declare class DecryptFileRequest {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): DecryptFileRequest;
    static getRootAsDecryptFileRequest(bb: flatbuffers.ByteBuffer, obj?: DecryptFileRequest): DecryptFileRequest;
    static getSizePrefixedRootAsDecryptFileRequest(bb: flatbuffers.ByteBuffer, obj?: DecryptFileRequest): DecryptFileRequest;
    input(): string | null;
    input(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    output(): string | null;
    output(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    privateKey(): string | null;
    privateKey(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    passphrase(): string | null;
    passphrase(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    options(obj?: KeyOptions): KeyOptions | null;
    static startDecryptFileRequest(builder: flatbuffers.Builder): void;
    static addInput(builder: flatbuffers.Builder, inputOffset: flatbuffers.Offset): void;
    static addOutput(builder: flatbuffers.Builder, outputOffset: flatbuffers.Offset): void;
    static addPrivateKey(builder: flatbuffers.Builder, privateKeyOffset: flatbuffers.Offset): void;
    static addPassphrase(builder: flatbuffers.Builder, passphraseOffset: flatbuffers.Offset): void;
    static addOptions(builder: flatbuffers.Builder, optionsOffset: flatbuffers.Offset): void;
    static endDecryptFileRequest(builder: flatbuffers.Builder): flatbuffers.Offset;
}
