import * as flatbuffers from 'flatbuffers';
import { KeyOptions } from '../model/key-options';
export declare class DecryptRequest {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): DecryptRequest;
    static getRootAsDecryptRequest(bb: flatbuffers.ByteBuffer, obj?: DecryptRequest): DecryptRequest;
    static getSizePrefixedRootAsDecryptRequest(bb: flatbuffers.ByteBuffer, obj?: DecryptRequest): DecryptRequest;
    message(): string | null;
    message(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    privateKey(): string | null;
    privateKey(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    passphrase(): string | null;
    passphrase(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    options(obj?: KeyOptions): KeyOptions | null;
    static startDecryptRequest(builder: flatbuffers.Builder): void;
    static addMessage(builder: flatbuffers.Builder, messageOffset: flatbuffers.Offset): void;
    static addPrivateKey(builder: flatbuffers.Builder, privateKeyOffset: flatbuffers.Offset): void;
    static addPassphrase(builder: flatbuffers.Builder, passphraseOffset: flatbuffers.Offset): void;
    static addOptions(builder: flatbuffers.Builder, optionsOffset: flatbuffers.Offset): void;
    static endDecryptRequest(builder: flatbuffers.Builder): flatbuffers.Offset;
}
