import * as flatbuffers from 'flatbuffers';
import { FileHints } from '../model/file-hints';
import { KeyOptions } from '../model/key-options';
export declare class EncryptSymmetricBytesRequest {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): EncryptSymmetricBytesRequest;
    static getRootAsEncryptSymmetricBytesRequest(bb: flatbuffers.ByteBuffer, obj?: EncryptSymmetricBytesRequest): EncryptSymmetricBytesRequest;
    static getSizePrefixedRootAsEncryptSymmetricBytesRequest(bb: flatbuffers.ByteBuffer, obj?: EncryptSymmetricBytesRequest): EncryptSymmetricBytesRequest;
    message(index: number): number | null;
    messageLength(): number;
    messageArray(): Uint8Array | null;
    passphrase(): string | null;
    passphrase(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    options(obj?: KeyOptions): KeyOptions | null;
    fileHints(obj?: FileHints): FileHints | null;
    static startEncryptSymmetricBytesRequest(builder: flatbuffers.Builder): void;
    static addMessage(builder: flatbuffers.Builder, messageOffset: flatbuffers.Offset): void;
    static createMessageVector(builder: flatbuffers.Builder, data: number[] | Uint8Array): flatbuffers.Offset;
    static startMessageVector(builder: flatbuffers.Builder, numElems: number): void;
    static addPassphrase(builder: flatbuffers.Builder, passphraseOffset: flatbuffers.Offset): void;
    static addOptions(builder: flatbuffers.Builder, optionsOffset: flatbuffers.Offset): void;
    static addFileHints(builder: flatbuffers.Builder, fileHintsOffset: flatbuffers.Offset): void;
    static endEncryptSymmetricBytesRequest(builder: flatbuffers.Builder): flatbuffers.Offset;
}
