import * as flatbuffers from 'flatbuffers';
import { KeyOptions } from '../model/key-options';
export declare class Options {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): Options;
    static getRootAsOptions(bb: flatbuffers.ByteBuffer, obj?: Options): Options;
    static getSizePrefixedRootAsOptions(bb: flatbuffers.ByteBuffer, obj?: Options): Options;
    name(): string | null;
    name(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    comment(): string | null;
    comment(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    email(): string | null;
    email(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    passphrase(): string | null;
    passphrase(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    keyOptions(obj?: KeyOptions): KeyOptions | null;
    static startOptions(builder: flatbuffers.Builder): void;
    static addName(builder: flatbuffers.Builder, nameOffset: flatbuffers.Offset): void;
    static addComment(builder: flatbuffers.Builder, commentOffset: flatbuffers.Offset): void;
    static addEmail(builder: flatbuffers.Builder, emailOffset: flatbuffers.Offset): void;
    static addPassphrase(builder: flatbuffers.Builder, passphraseOffset: flatbuffers.Offset): void;
    static addKeyOptions(builder: flatbuffers.Builder, keyOptionsOffset: flatbuffers.Offset): void;
    static endOptions(builder: flatbuffers.Builder): flatbuffers.Offset;
}
