import * as flatbuffers from 'flatbuffers';
import { PrivateKeyMetadata } from '../model/private-key-metadata';
export declare class PrivateKeyMetadataResponse {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): PrivateKeyMetadataResponse;
    static getRootAsPrivateKeyMetadataResponse(bb: flatbuffers.ByteBuffer, obj?: PrivateKeyMetadataResponse): PrivateKeyMetadataResponse;
    static getSizePrefixedRootAsPrivateKeyMetadataResponse(bb: flatbuffers.ByteBuffer, obj?: PrivateKeyMetadataResponse): PrivateKeyMetadataResponse;
    output(obj?: PrivateKeyMetadata): PrivateKeyMetadata | null;
    error(): string | null;
    error(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    static startPrivateKeyMetadataResponse(builder: flatbuffers.Builder): void;
    static addOutput(builder: flatbuffers.Builder, outputOffset: flatbuffers.Offset): void;
    static addError(builder: flatbuffers.Builder, errorOffset: flatbuffers.Offset): void;
    static endPrivateKeyMetadataResponse(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createPrivateKeyMetadataResponse(builder: flatbuffers.Builder, outputOffset: flatbuffers.Offset, errorOffset: flatbuffers.Offset): flatbuffers.Offset;
}
