import * as flatbuffers from 'flatbuffers';
import { Identity } from '../model/identity';
export declare class PrivateKeyMetadata {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): PrivateKeyMetadata;
    static getRootAsPrivateKeyMetadata(bb: flatbuffers.ByteBuffer, obj?: PrivateKeyMetadata): PrivateKeyMetadata;
    static getSizePrefixedRootAsPrivateKeyMetadata(bb: flatbuffers.ByteBuffer, obj?: PrivateKeyMetadata): PrivateKeyMetadata;
    keyId(): string | null;
    keyId(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    keyIdShort(): string | null;
    keyIdShort(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    creationTime(): string | null;
    creationTime(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    fingerprint(): string | null;
    fingerprint(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    keyIdNumeric(): string | null;
    keyIdNumeric(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    isSubKey(): boolean;
    mutate_is_sub_key(value: boolean): boolean;
    encrypted(): boolean;
    mutate_encrypted(value: boolean): boolean;
    identities(index: number, obj?: Identity): Identity | null;
    identitiesLength(): number;
    static startPrivateKeyMetadata(builder: flatbuffers.Builder): void;
    static addKeyId(builder: flatbuffers.Builder, keyIdOffset: flatbuffers.Offset): void;
    static addKeyIdShort(builder: flatbuffers.Builder, keyIdShortOffset: flatbuffers.Offset): void;
    static addCreationTime(builder: flatbuffers.Builder, creationTimeOffset: flatbuffers.Offset): void;
    static addFingerprint(builder: flatbuffers.Builder, fingerprintOffset: flatbuffers.Offset): void;
    static addKeyIdNumeric(builder: flatbuffers.Builder, keyIdNumericOffset: flatbuffers.Offset): void;
    static addIsSubKey(builder: flatbuffers.Builder, isSubKey: boolean): void;
    static addEncrypted(builder: flatbuffers.Builder, encrypted: boolean): void;
    static addIdentities(builder: flatbuffers.Builder, identitiesOffset: flatbuffers.Offset): void;
    static createIdentitiesVector(builder: flatbuffers.Builder, data: flatbuffers.Offset[]): flatbuffers.Offset;
    static startIdentitiesVector(builder: flatbuffers.Builder, numElems: number): void;
    static endPrivateKeyMetadata(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createPrivateKeyMetadata(builder: flatbuffers.Builder, keyIdOffset: flatbuffers.Offset, keyIdShortOffset: flatbuffers.Offset, creationTimeOffset: flatbuffers.Offset, fingerprintOffset: flatbuffers.Offset, keyIdNumericOffset: flatbuffers.Offset, isSubKey: boolean, encrypted: boolean, identitiesOffset: flatbuffers.Offset): flatbuffers.Offset;
}
