import * as flatbuffers from 'flatbuffers';
import { KeyOptions } from '../model/key-options';
export declare class SignBytesRequest {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): SignBytesRequest;
    static getRootAsSignBytesRequest(bb: flatbuffers.ByteBuffer, obj?: SignBytesRequest): SignBytesRequest;
    static getSizePrefixedRootAsSignBytesRequest(bb: flatbuffers.ByteBuffer, obj?: SignBytesRequest): SignBytesRequest;
    message(index: number): number | null;
    messageLength(): number;
    messageArray(): Uint8Array | null;
    publicKey(): string | null;
    publicKey(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    privateKey(): string | null;
    privateKey(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    passphrase(): string | null;
    passphrase(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    options(obj?: KeyOptions): KeyOptions | null;
    static startSignBytesRequest(builder: flatbuffers.Builder): void;
    static addMessage(builder: flatbuffers.Builder, messageOffset: flatbuffers.Offset): void;
    static createMessageVector(builder: flatbuffers.Builder, data: number[] | Uint8Array): flatbuffers.Offset;
    static startMessageVector(builder: flatbuffers.Builder, numElems: number): void;
    static addPublicKey(builder: flatbuffers.Builder, publicKeyOffset: flatbuffers.Offset): void;
    static addPrivateKey(builder: flatbuffers.Builder, privateKeyOffset: flatbuffers.Offset): void;
    static addPassphrase(builder: flatbuffers.Builder, passphraseOffset: flatbuffers.Offset): void;
    static addOptions(builder: flatbuffers.Builder, optionsOffset: flatbuffers.Offset): void;
    static endSignBytesRequest(builder: flatbuffers.Builder): flatbuffers.Offset;
}
