import * as flatbuffers from 'flatbuffers';
export declare class VerifyRequest {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): VerifyRequest;
    static getRootAsVerifyRequest(bb: flatbuffers.ByteBuffer, obj?: VerifyRequest): VerifyRequest;
    static getSizePrefixedRootAsVerifyRequest(bb: flatbuffers.ByteBuffer, obj?: VerifyRequest): VerifyRequest;
    signature(): string | null;
    signature(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    message(): string | null;
    message(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    publicKey(): string | null;
    publicKey(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    static startVerifyRequest(builder: flatbuffers.Builder): void;
    static addSignature(builder: flatbuffers.Builder, signatureOffset: flatbuffers.Offset): void;
    static addMessage(builder: flatbuffers.Builder, messageOffset: flatbuffers.Offset): void;
    static addPublicKey(builder: flatbuffers.Builder, publicKeyOffset: flatbuffers.Offset): void;
    static endVerifyRequest(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createVerifyRequest(builder: flatbuffers.Builder, signatureOffset: flatbuffers.Offset, messageOffset: flatbuffers.Offset, publicKeyOffset: flatbuffers.Offset): flatbuffers.Offset;
}
